Bug 1038041 - Missing patches for upstream service notify/restart bug (#7165) in 2.7.23
Summary: Missing patches for upstream service notify/restart bug (#7165) in 2.7.23
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: puppet
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Sam Kottler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-04 10:15 UTC by Dominic Cleal
Modified: 2014-06-18 08:14 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-04-15 23:28:06 UTC


Attachments (Terms of Use)

Description Dominic Cleal 2013-12-04 10:15:13 UTC
Description of problem:
Upstream bug fix for #7165 (and subsequent #20128), which fixed an extra service restart when notified is missing from the 2.7.23 RPMs but was present in the older 2.6.18 builds.

These were originally added via bug #908655.

Version-Release number of selected component (if applicable):
2.7.23-1.el6

Additional info:
From http://pkgs.fedoraproject.org/cgit/puppet.git/commit/puppet.spec?h=el6&id=93d568390c97d2521395c9514d5b1946e90cbed4

-# http://projects.puppetlabs.com/issues/7165
-# https://bugzilla.redhat.com/show_bug.cgi?id=908655
-# https://github.com/puppetlabs/puppet/commit/3da4dc9
-Patch3: 0001-7165-Invalidate-refreshes-after-services-are-started.patch
-# http://projects.puppetlabs.com/issues/20128
-# https://bugzilla.redhat.com/show_bug.cgi?id=908655#c11
-# https://github.com/puppetlabs/puppet/commit/3e5cea2
-Patch4: 0001-20128-Handle-event-dequeues-when-target-resource-has.patch

These are the two patches needed - the first is the original bug and the second is a followup fix.

Comment 1 Fedora Update System 2013-12-06 16:39:51 UTC
puppet-2.7.23-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/puppet-2.7.23-2.el6

Comment 2 Fedora Update System 2013-12-06 22:14:06 UTC
Package puppet-2.7.23-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing puppet-2.7.23-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-12310/puppet-2.7.23-2.el6
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2013-12-27 11:27:41 UTC
puppet-2.7.24-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/puppet-2.7.24-1.el6

Comment 4 Fedora Update System 2014-01-09 09:29:30 UTC
puppet-2.7.25-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/puppet-2.7.25-1.el6

Comment 5 Fedora Update System 2014-02-08 21:05:10 UTC
puppet-2.7.25-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/puppet-2.7.25-2.el6

Comment 6 Fedora Update System 2014-04-15 23:28:06 UTC
puppet-2.7.25-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.